<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysUserCashAccountDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysUserCashAccountDetail">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="trans_no_" property="transNo" />
        <result column="type_" property="type" />
        <result column="trans_type_" property="transType" />
        <result column="status_" property="status" />
        <result column="amount_" property="amount" />
        <result column="balance_" property="balance" />
        <result column="description_" property="description" />
        <result column="comment_" property="comment" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, trans_no_, type_, trans_type_, status_, amount_, balance_, description_, comment_, create_time_, update_time_
    </sql>

</mapper>
